#ifndef CODEC_SRC0_H
#define CODEC_SRC0_H


void src0_init(void);
void src0_tx_dma_init(DMA_HandleTypeDef *dma_handle);
void src0_rx_dma_init(DMA_HandleTypeDef *dma_handle);
void src0_rx_full_cplt(DMA_HandleTypeDef dma, void *param);
void src0_rx_half_cplt(DMA_HandleTypeDef dma, void *param);
void src0_tx_full_cplt(DMA_HandleTypeDef dma, void *param);
void src0_tx_half_cplt(DMA_HandleTypeDef dma, void *param);

int32_t src0_write_data(uint8_t *buf, uint16_t points);
#endif // CODEC_SRC_H